package com.example.civilizedcity.event;

import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.entity.TaIssueApply;
import com.example.civilizedcity.entity.TaOrgIssue;
import org.springframework.context.ApplicationEvent;

public class MessagEvent extends ApplicationEvent {

    private TaIssueApply taIssueApply = null;
    private TaIssue taIssue = null;
    private TaOrgIssue taOrgIssue = null;

    public MessagEvent(Object source, TaIssue taIssue) {
        super(source);
        this.taIssue = taIssue;
    }

    public MessagEvent(Object source, TaIssueApply taIssueApply) {
        super(source);
        this.taIssueApply = taIssueApply;
    }

    public MessagEvent(Object source, TaOrgIssue taOrgIssue) {
        super(source);
        this.taOrgIssue = taOrgIssue;
    }

    public TaIssue getTaIssue() {
        return taIssue;
    }

    public TaIssueApply getTaIssueApply() {
        return taIssueApply;
    }

    public TaOrgIssue getTaOrgIssue() {
        return taOrgIssue;
    }
}
